//	App.h - Main application stuff.
//	----------------------------------------------------------------------------
//	This file is part of OSC2VST, a simple OSC-aware VSTi host.
//	Copyright (c) 2009 Niall Moody.
//
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef APP_H_
#define APP_H_

#include "juce.h"

class TrayIcon;

//------------------------------------------------------------------------------
///	Handles the main application stuff.
class App : public JUCEApplication
{
  public:
	///	Constructor.
	App();
	///	Destructor.
	~App();

	///	Where all the important stuff happens for this class.
	void initialise(const String& commandLine);
	///	Not used by us?
	void shutdown();

	///	Returns the name of the application (duh...).
	const String getApplicationName() {return T("OSC2VST");};
	///	Returns the current version.
	const String getApplicationVersion() {return T("0.10");};
	///	Whether or not we want to allow more than one instance to run.
	bool moreThanOneInstanceAllowed() {return true;};
	///	Not used right now?
	void anotherInstanceStarted(const String& commandLine) {};
  private:
	///	Pointer to our tray icon component, where all the good stuff happens.
	TrayIcon *trayIcon;
};

#endif
