//	AudioSettings.h - Window displaying the app's audio settings.
//	----------------------------------------------------------------------------
//	This file is part of OSC2VST, a simple OSC-aware VSTi host.
//	Copyright (c) 2009 Niall Moody.
//
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef AUDIOSETTINGS_H_
#define AUDIOSETTINGS_H_

#include "juce.h"

class TrayIcon;

///	Window displaying the app's audio settings.
class AudioSettingsComponent : public Component,
							   public TextEditorListener
{
  public:
	///	Constructor.
	AudioSettingsComponent(AudioDeviceManager *deviceManager, TrayIcon *icon);
	///	Destructor.
	~AudioSettingsComponent();

	///	So we know when the user changes the port number.
	void textEditorTextChanged(TextEditor& editor);
	///	Not used(?).
	void textEditorReturnKeyPressed(TextEditor& editor) {};
	///	Not used(?).
	void textEditorEscapeKeyPressed(TextEditor& editor) {};
	///	Not used(?).
	void textEditorFocusLost(TextEditor& editor) {};
  private:
	///	The audio device settings component.
	AudioDeviceSelectorComponent *audioSettings;
	///	The port editor label.
	Label *portLabel;
	///	The port editor.
	TextEditor *portEditor;

	///	Our pointer to the main tray icon.
	TrayIcon *trayIcon;
};

#endif
