//	NativeDialog.cpp - Quick way to display a dialog window with a native
//					 titlebar.
//	----------------------------------------------------------------------------
//	This file is part of OSC2VST, a simple OSC-aware VSTi host.
//	Copyright (c) 2009 Niall Moody.
//
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "NativeDialog.h"

//------------------------------------------------------------------------------
NativeDialog::NativeDialog(const String& title, const Colour& colour):
DialogWindow(title, colour, true, true)
{
	setUsingNativeTitleBar(true);
	setDropShadowEnabled(false);
}

//------------------------------------------------------------------------------
NativeDialog::~NativeDialog()
{
	
}

//------------------------------------------------------------------------------
void NativeDialog::closeButtonPressed()
{
	setContentComponent(0);
	delete this;
}

//------------------------------------------------------------------------------
void NativeDialog::showNonModalDialog(const String& dialogTitle,
									  Component* contentComponent,
									  Component* componentToCentreAround,
									  const Colour& colour)
{
	NativeDialog *win = new NativeDialog(dialogTitle, colour);

    win->setContentComponent(contentComponent, true, true);
    win->centreAroundComponent(componentToCentreAround,
							   win->getWidth(),
							   win->getHeight());
    win->setResizable(false, false);
    win->setVisible(true);
}
