//	App.cpp - Main application stuff.
//	----------------------------------------------------------------------------

#include "App.h"
#include "MainPanel.h"
#include "BranchesLAF.h"

//------------------------------------------------------------------------------
App::App()
{
	
}

//------------------------------------------------------------------------------
App::~App()
{
	
}

//------------------------------------------------------------------------------
void App::initialise(const String& commandLine)
{
	win = new MainWindow(commandLine);
}

//------------------------------------------------------------------------------
void App::shutdown()
{
	delete win;
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
MainWindow::MainWindow(const String& commandLine):
DocumentWindow(T("OSC2VST Example"),
			   Colour(0xFFEEECE1),
			   DocumentWindow::closeButton)
{
	LookAndFeel::setDefaultLookAndFeel(laf = new BranchesLAF());
	setResizable(false, false);
	setContentComponent(mainPanel = new MainPanel());
	centreWithSize(300, 214);
	setUsingNativeTitleBar(true);
	setDropShadowEnabled(false);
	setVisible(true);
	toFront(true);
}

//------------------------------------------------------------------------------
MainWindow::~MainWindow()
{
	setContentComponent(0, true);
	LookAndFeel::setDefaultLookAndFeel(0);
	delete laf;
}

//------------------------------------------------------------------------------
void MainWindow::closeButtonPressed()
{
	JUCEApplication::quit();
}

START_JUCE_APPLICATION(App)
