//	App.h - Main application stuff.
//	----------------------------------------------------------------------------

#ifndef APP_H_
#define APP_H_

#include "juce.h"

class MainPanel;
class BranchesLAF;

//------------------------------------------------------------------------------
///	Handles the main application stuff.
class App : public JUCEApplication
{
  public:
	///	Constructor.
	App();
	///	Destructor.
	~App();

	///	Where all the important stuff happens for this class.
	void initialise(const String& commandLine);
	///	Not used by us?
	void shutdown();

	///	Returns the name of the application (duh...).
	const String getApplicationName() {return T("OSC2VST Example");};
	///	Returns the current version.
	const String getApplicationVersion() {return T("0.10");};
	///	Whether or not we want to allow more than one instance to run.
	bool moreThanOneInstanceAllowed() {return true;};
	///	Not used right now?
	void anotherInstanceStarted(const String& commandLine) {};
  private:
	///	Pointer to our main window.
	DocumentWindow *win;
};

//------------------------------------------------------------------------------
///	So we can handle the user clicking the close button.
class MainWindow : public DocumentWindow
{
  public:
	///	Constructor.
	MainWindow(const String& commandLine);
	///	Constructor.
	~MainWindow();

	///	To handle the close button being pressed.
	void closeButtonPressed();
  private:
	///	The main panel of the main window.
	MainPanel *mainPanel;
	///	Our custom LookAndFeel.
	BranchesLAF *laf;
};

#endif
